#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long n,m,i,j,c,s=0;
    cin >> n >> m;
    long a[n],b[m];
    for(i=0;i<m;i++)
        cin >> b[i];
    cin >> c;
    for(i=0;i<n;i++)
        a[i] = i+1;
    for(i=0;i<=(n-m);i++)
    {
        for(j=0;j<m;j++)
            a[i+b[j]-1] = a[i+j];
    }
    for(i=1;i<=n;i++)
        s+=(a[i-1]*pow(c,i));
    cout << s;
    return 0;
}